%define manbo_vendor manbo
%define manbo_platform %{_target_cpu}-%{manbo_vendor}-%{_target_os}%{?_gnu}

%define gcc_libdir		%{_prefix}/lib/gcc

Name:		manbo-files-gcc
Summary:	Supplemental files for Manbo GCC
Version:	4.3.2
Release:	%{manbo_mkrel 1}
License:	GPLv3+
Group:		Development/C
URL:		http://manbo-labs.mandriva.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Supplemental files for Manbo GCC which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc
Summary:	Supplemental files for Manbo GCC
Provides:	manbo-files-gcc = %{version}-%{release}
Group:		Development/C
Conflicts:	gcc4.3 < 4.3.1

%description -n manbo-%{_real_vendor}-files-gcc
Supplemental files for Manbo GCC which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc-c++
Summary:	Supplemental files for Manbo GCC C++
Provides:	manbo-files-gcc-c++ = %{version}-%{release}
Group:		Development/C++
Conflicts:	gcc4.3-c++ < 4.3.1

%description -n manbo-%{_real_vendor}-files-gcc-c++
Supplemental files for Manbo GCC C++ which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc-gfortran
Summary:	Supplemental files for Manbo GCC Fortran
Provides:	manbo-files-gcc-gfortran = %{version}-%{release}
Group:		Development/Other
Conflicts:	gcc4.3-gfortran < 4.3.1

%description -n manbo-%{_real_vendor}-files-gcc-gfortran
Supplemental files for Manbo GCC Fortran which is built with the vendor-name
"manbo".

%package -n manbo-%{_real_vendor}-files-gcc-java
Summary:	Supplemental files for Manbo GCC Java
Provides:	manbo-files-gcc-java = %{version}-%{release}
Group:		Development/Other
Conflicts:	gcj4.3-tools < 4.3.1
Conflicts:	gcc4.3-java < 4.3.1

%description -n manbo-%{_real_vendor}-files-gcc-java
Supplemental files for Manbo GCC Java which is built with the vendor-name
"manbo".

%prep
test "%{_real_vendor}" = "%{manbo_vendor}" && /bin/false

%build

mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
for i in c++ g++ gcj gcc gcc-%{version} gfortran gcjh; do
   ln -sf %{manbo_platform}-$i $RPM_BUILD_ROOT/%{_bindir}/%{_target_platform}-$i
done

mkdir -p $RPM_BUILD_ROOT/%{gcc_libdir}/%{_target_platform}
ln -sf ../%{manbo_platform}/%{version} \
 $RPM_BUILD_ROOT/%{gcc_libdir}/%{_target_platform}/%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files -n manbo-%{_real_vendor}-files-gcc
%{_bindir}/%{_target_platform}-gcc
%{_bindir}/%{_target_platform}-gcc-%{version}
%{gcc_libdir}/%{_target_platform}/*

%files -n manbo-%{_real_vendor}-files-gcc-c++
%{_bindir}/%{_target_platform}-c++
%{_bindir}/%{_target_platform}-g++

%files -n manbo-%{_real_vendor}-files-gcc-gfortran
%{_bindir}/%{_target_platform}-gfortran

%files -n manbo-%{_real_vendor}-files-gcc-java
%{_bindir}/%{_target_platform}-gcj
%{_bindir}/%{_target_platform}-gcjh


%changelog
* Sat Aug 30 2008 Oden Eriksson <oeriksson@mandriva.com> 4.3.2-1mnb2
+ Revision: 277574
- 4.3.2

* Mon May 19 2008 Pixel <pixel@mandriva.com> 4.3.1-1mnb2
+ Revision: 209005
- adapt to gcc 4.3.1

* Tue Mar 25 2008 Pixel <pixel@mandriva.com> 4.2.3-6mnb1
+ Revision: 189866
- remove require on subpackages since gcc subpackages now require them specifically

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 4.2.3-5mnb1
+ Revision: 188300
- add version to the virtual provides manbo-files-gcc*

* Mon Mar 17 2008 Pixel <pixel@mandriva.com> 4.2.3-4mnb1
+ Revision: 188299
- require subpackages until gcc subpackages has been rebuilt to require them specifically
- add conflicts on the various gcc-xxx packages (#38936)
- split the symlinks into subpackages

* Sat Mar 15 2008 Pixel <pixel@mandriva.com> 4.2.3-3mnb1
+ Revision: 188042
- add symlinks for i586-mandriva-linux-gnu-c++, g++, gfortran, gcj, gjh
  (it would be nicer to split, will do later)

* Thu Mar 13 2008 Pixel <pixel@mandriva.com> 4.2.3-2mnb1
+ Revision: 187537
- gcc is installed in /usr/lib/gcc, not /usr/lib64/gcc

* Fri Mar 07 2008 Pixel <pixel@mandriva.com> 4.2.3-1mnb1
+ Revision: 181257
- add explicit conflict on old non-manbo gcc

  + Kiichiro Naka <knaka@turbolinux.co.jp>
    - use _real_vendor not _vendor
    - change to manbo_mkrel macro
    - modify to generate a package with the name which contains real vendor name
    - import manbo-files-gcc


